User Properties
curl --request GET \
--url https://app-api.spikeapi.com/v3/userproperties \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.spikeapi.com/v3/userproperties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.spikeapi.com/v3/userproperties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"properties": {
"birth_date": "<string>",
"birth_year": 123,
"body_bone_mass": 123,
"body_fat": 123,
"body_mass_index": 123,
"height": 123,
"language": "<string>",
"resting_heartrate": 123,
"timezone": "<string>",
"weight": 123
}
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}User Properties
Get information about the current user.
User Properties
⌘I
